MALT-BUILD(1)

NAME
malt-build - Index builder for MALT (MEGAN alignment tool)

DESCRIPTION
SYNOPSIS

    malt-build [options]

DESCRIPTION

    BUilds an index for MALT (MEGAN alignment tool)

OPTIONS

    Input:

-i, --input [string(s)]
    Input reference file(s). Mandatory option.

-s, --sequenceType [string]
    Sequence type. Mandatory option. Legal values: DNA, Protein

    Output:

-d, --index [string]
    Name of index directory. Mandatory option.

    Performance:

-t, --threads [number]
    Number of worker threads. Default value: 8.

-st, --step [number]
    Step size to advance seed, values greater than 1 reduce index size and sensitivity. Default value: 1.

    Seed:

-ss, --shapes [string(s)]
    Seed shape(s). Default value(s): default.

-mh, --maxHitsPerSeed [number]
    Maximum number of hits per seed. Default value: 1000.

-pr, --proteinReduct [string]
    Name or definition of protein alphabet reduction (BLOSUM50_10,BLOSUM50_11,BLOSUM50_15,BLOSUM50_4,BLOSUM50_8,DIAMOND_11,GBMR4,HSDM17,MALT_10,SDM12,UNREDUCED). Default value: DIAMOND_11.

    Classification:

-c, --classify [string(s)]
    Classifications (any of EGGNOG INTERPRO2GO KEGG SEED Taxonomy). Mandatory option.

-g2eggnog, --gi2eggnog [string]
    GI-to-EGGNOG mapping file.

-r2eggnog, --ref2eggnog [string]
    RefSeq-to-EGGNOG mapping file.

-s2eggnog, --syn2eggnog [string]
    Synonyms-to-EGGNOG mapping file.

-g2interpro2go, --gi2interpro2go [string]
    GI-to-INTERPRO2GO mapping file.

-r2interpro2go, --ref2interpro2go [string]
    RefSeq-to-INTERPRO2GO mapping file.

-s2interpro2go, --syn2interpro2go [string]
    Synonyms-to-INTERPRO2GO mapping file.

-g2kegg, --gi2kegg [string]
    GI-to-KEGG mapping file.

-r2kegg, --ref2kegg [string]
    RefSeq-to-KEGG mapping file.

-s2kegg, --syn2kegg [string]
    Synonyms-to-KEGG mapping file.

-g2seed, --gi2seed [string]
    GI-to-SEED mapping file.

-r2seed, --ref2seed [string]
    RefSeq-to-SEED mapping file.

-s2seed, --syn2seed [string]
    Synonyms-to-SEED mapping file.

-g2taxonomy, --gi2taxonomy [string]
    GI-to-Taxonomy mapping file.

-r2taxonomy, --ref2taxonomy [string]
    RefSeq-to-Taxonomy mapping file.

-s2taxonomy, --syn2taxonomy [string]
    Synonyms-to-Taxonomy mapping file.

-tn, --parseTaxonNames
    Parse taxon names. Default value: true

-gif, --geneInfoFile [string]
    File containing gene information

    Other:

-fwo, --firstWordOnly
    Save only first word of reference header. Default value: false.

-rns, --random [number]
    Random number generator seed. Default value: 666.

-hsf, --hashScaleFactor [number]
    Hash table scale factor. Default falue: 0.9.

-v, --verbose
    Echo commandline options and be verbose. Default value: false.

-h, --help
    Show program usage and quit.

AUTHOR(s)

    Daniel H. Huson.

SEE ALSO
malt-run(1)